# PCLinuxOS Copyright by Bill Reynolds (Texstar)

%define lib_name_orig libucl
%define lib_major 1
%define lib_name %mklibname %name %{lib_major}

# virtual package to enforce naming convention

Summary:	The UCL Compression Library
Summary(de):	Die UCL Kompression Bibliothek
Name:		ucl
Version:	1.03
Release:	%mkrel 1
License:	GPL
Group:		System/Libraries
URL:		http://www.oberhumer.com/opensource/ucl/
Source0:	http://www.oberhumer.com/opensource/ucl/download/%name-%version.tar.xz
BuildRequires:	libtool
BuildRequires:	autoconf2.5
BuildRoot:	%{_tmppath}/%{lib_name}-buildroot

%description
UCL implements a number of algorithms with the following features:
- Decompression is simple and *very* fast. 
- Requires no memory for decompression. 
- The decompressors can be squeezed into less than 200 bytes of code. 
- Focuses on compression levels for generating pre-compressed data which
  achieve a quite competitive compression ratio. 
- Allows you to dial up extra compression at a speed cost in the compressor.
  The speed of the decompressor is not reduced. 
- Algorithm is thread safe. 
- Algorithm is lossless. 
UCL supports in-place decompression.
#german
%description -l de
Die UCL ist eine in UPX genutzte Datenkompressions-Bibliothek mit den folgenden Funktionen:

  *  Dekompression ist einfach und *sehr* schnell.
  *  Benötigt keinen Speicher für die Dekompression.
  *  Die Dekomprimierprogramme lassen sich in weniger als 200 bytes von Code zwängen.
  *  Der Focus auf die Komprimierungsschicht für die Erzeugung von Pre-komprimierte Daten, 
     erzeugt eine wettbewerbsfähige Kompressionsrate.
  *  Ermöglicht das, einstellen der Kompressionsgeschwindigkeit. Die Geschwindigkeit der 
     De-Kompression wird dadurch nicht vermindert.
  *  Der Algorithmus ist Thread sicher.
  *  Der Algorithmus ist verlustfrei.

UCL unterstützt die vor-Ort Dekompression.

# main package (contains *.so.[major].* only)

%package -n	%{lib_name}
Summary:	The UCL Compression Library
Summary(de):	Die UCL Kompression Bibliothek
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{lib_name}
UCL implements a number of algorithms with the following features:
- Decompression is simple and *very* fast. 
- Requires no memory for decompression. 
- The decompressors can be squeezed into less than 200 bytes of code. 
- Focuses on compression levels for generating pre-compressed data which
  achieve a quite competitive compression ratio. 
- Allows you to dial up extra compression at a speed cost in the compressor.
  The speed of the decompressor is not reduced. 
- Algorithm is thread safe. 
- Algorithm is lossless. 
UCL supports in-place decompression.

This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.
#german
%description -n	%{lib_name} -l de
Die UCL ist eine in UPX genutzte Datenkompressions-Bibliothek mit den folgenden Funktionen:

  *  Dekompression ist einfach und *sehr* schnell.
  *  Benötigt keinen Speicher für die Dekompression.
  *  Die Dekomprimierprogramme lassen sich in weniger als 200 bytes von Code zwängen.
  *  Der Focus auf die Komprimierungsschicht für die Erzeugung von Pre-komprimierte Daten, 
     erzeugt eine wettbewerbsfähige Kompressionsrate.
  *  Ermöglicht das, einstellen der Kompressionsgeschwindigkeit. Die Geschwindigkeit der 
     De-Kompression wird dadurch nicht vermindert.
  *  Der Algorithmus ist Thread sicher.
  *  Der Algorithmus ist verlustfrei.

UCL unterstützt die vor-Ort Dekompression.

Dieses Paket enthält die Bibliothek, die zum ausführen von Programmen, welche dynamisch mit 
%{lib_name_orig} verbunden sind, benötigt wird.


# devel part of the bundle

%package -n	%{lib_name}-devel
Summary:	The UCL Compression Library - development environment
Summary(de):	Entwicklerdateien für die UCL Kompression Bibliothek
Group:		Development/C
Requires:	%{lib_name} = %{version}-%release
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
UCL implements a number of algorithms with the following features:
- Decompression is simple and *very* fast. 
- Requires no memory for decompression. 
- The decompressors can be squeezed into less than 200 bytes of code. 
- Focuses on compression levels for generating pre-compressed data which
  achieve a quite competitive compression ratio. 
- Allows you to dial up extra compression at a speed cost in the compressor.
  The speed of the decompressor is not reduced. 
- Algorithm is thread safe. 
- Algorithm is lossless. 
UCL supports in-place decompression.

Install %{name} if you need to compile an application with %{lib_name}
support.
#german
%description -n	%{lib_name}-devel -l de
Die UCL ist eine in UPX genutzte Datenkompressions-Bibliothek mit den folgenden Funktionen:

  *  Dekompression ist einfach und *sehr* schnell.
  *  Benötigt keinen Speicher für die Dekompression.
  *  Die Dekomprimierprogramme lassen sich in weniger als 200 bytes von Code zwängen.
  *  Der Focus auf die Komprimierungsschicht für die Erzeugung von Pre-komprimierte Daten, 
     erzeugt eine wettbewerbsfähige Kompressionsrate.
  *  Ermöglicht das, einstellen der Kompressionsgeschwindigkeit. Die Geschwindigkeit der 
     De-Kompression wird dadurch nicht vermindert.
  *  Der Algorithmus ist Thread sicher.
  *  Der Algorithmus ist verlustfrei.

UCL unterstützt die vor-Ort Dekompression.

Installiere ucl wenn Sie Anwendungen mit %{lib_name} Unterstützung compilieren möchtest.

%prep 

%setup -q 

%build
%configure2_5x --enable-shared
%make

%install
%__rm -rf %{buildroot}


%makeinstall_std

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
%__rm -rf %{buildroot}
%__rm -rf $RPM_BUILD_DIR/%name-%version

%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING INSTALL NEWS README THANKS TODO
%{_libdir}/*.so.*

%files  -n %{lib_name}-devel
%defattr(-,root,root)
%doc COPYING INSTALL NEWS README THANKS TODO
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%dir %{_includedir}/ucl/
%{_includedir}/ucl/*.h


%changelog
* Sat Mar 17 2012 Neal <nealbrks0 at gmail dot com> 1.03-2pclos2012
- process

* Fri Mar 16 2012 leiche <meisssw01 at gmail.com> 1.03-2pclos2012
- rebuild for 64 bit
- add german description
- convert archive to xz

* Mon Apr 21 2008 P. K. Frederic <pkfric@yahoo.com> 1.03-1pclos2007
- first RPM build for PCLinuxOS

* Sun Oct 03 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.03-1mdk
- New release 1.03

